module Manatee.Keymap.Interactivebar where

import Control.Arrow

import Manatee.UI.Interactivebar
import Manatee.IORefObject

import qualified Data.Map as M

import {-# source #-} Manatee.Keymap.Keymap

data InteractivebarAction = InteractivebarAction (Interactivebar -> IORefObject -> IO ())

instance ActionExecute InteractivebarAction where
    execute (InteractivebarAction a) = interactivebarApplyAction a

-- | Keymap for interactivebar.    
interactivebarKeymap :: Keymap    
interactivebarKeymap =
    M.fromList 
         $ map (second (Action . InteractivebarAction))
               [("M-m",         interactivebarApplyCandidate) 
               ,("Esc",         interactivebarExit)]
         

