module Manatee.Keymap.Misc where

import Control.Arrow

import Reboot
import Manatee.Utils.System
import {-# source #-} Manatee.Keymap.Keymap
import qualified Data.Map as M
import Manatee.IORefObject

data MiscAction = MiscAction (IORefObject -> IO ()) 

instance ActionExecute MiscAction where
    execute (MiscAction a) = a

-- | Misc keymap.
miscKeymap :: Keymap
miscKeymap = 
    M.fromList $ map (second (Action . MiscAction))
         [("F5",       fileTemp)
         ,("F7",       findFile)
         ,("F8",       dired)
         ,("F3",       reboot)
         ,("F4",       term)
         ,("F10",      tooltipTest)]


