module Manatee.UI.ViewNode where

import Data.IORef
import Manatee.Data.SetList

data ViewNode
data ViewNodeType = TNodeLeft | TNodeRight | TNodeRoot
data ViewNodeDirection = DTop | DBottom | DLeft | DRight

type ViewNodeList = SetList ViewNode

instance Eq ViewNode where
instance Ord ViewNode where

viewNodeListNew :: IO (IORef ViewNodeList)
