module Manatee.Utils.Seq where

import Data.Sequence (Seq, (><), (<|))

import qualified Data.Sequence as Seq

-- | Insert element in sequence.
insertAt :: Int -> a -> Seq a -> Seq a
insertAt n x xs = ys >< (x <| zs)
    where
      (ys, zs) = Seq.splitAt n xs 

-- | Delete element in sequnce.
deleteAt :: Int -> Seq a -> Seq a
deleteAt n xs = ys >< Seq.drop 1 zs
    where
      (ys, zs) = Seq.splitAt n xs 

-- | Swap two element in sequence.
swap :: Int -> Int -> Seq a -> Seq a      
swap deleteId insertId xs = zs
  where 
    x  = Seq.index xs deleteId
    ys = deleteAt deleteId xs
    zs = insertAt insertId x ys
