module Manatee.PageMode.C where

import Manatee.Keymap.Keymap
import Manatee.UI.Page
import Manatee.PageView.PageView 
import {-# source #-} Manatee.PageMode.PageMode

cMode :: Mode syntax
cMode = 
    emptyMode {modeName = "C"
              ,modeRegexp = "^*\\.c$"
              ,modeKeymap = keymapEmpty
              ,modeLoad = cModeLoad}

cModeLoad :: Page -> IO ()
cModeLoad page = do
  pageApplyBuffer (\x -> pageViewUpdateInfoStatus x "Mode" (pageModeApply modeName (pageMode page))) page
  return ()
