module Manatee.PageMode.Haskell where

import Manatee.Keymap.Keymap
import Manatee.UI.Page
import Manatee.PageView.PageView
import {-# source #-} Manatee.PageMode.PageMode
 
haskellMode :: Mode syntax
haskellMode = 
    emptyMode {modeName = "Haskell"
              ,modeRegexp = "^*\\.hs$"
              ,modeKeymap = keymapEmpty
              ,modeLoad = haskellModeLoad}

haskellModeLoad :: Page -> IO ()
haskellModeLoad page = do
  pageApplyBuffer (\x -> pageViewUpdateInfoStatus x "Mode" (pageModeApply modeName (pageMode page))) page
  return ()
