module Manatee.PageView.PageView where

import Graphics.UI.Gtk hiding (Statusbar, statusbarNew, get)

import Manatee.Widget.Statusbar
import Manatee.Widget.Outputbar

import {-# source #-} Manatee.UI.Interactivebar

class PageView a where
class PageViewState s where 

data PageViewUIFrame =
    PageViewUIFrame {pageViewUIFrameBox                 :: VBox      -- box for contain `PageView'
                    ,pageViewUIFrameOutputbar           :: Outputbar -- outpubar for display message
                    ,pageViewUIFrameInteractivebar      :: Interactivebar -- interactivebar for interactive input
                    ,pageViewUIFrameScrolledWindow      :: ScrolledWindow               -- scrolledWindow 
                    ,pageViewUIFrameStatusbar           :: Statusbar                    -- statusbar
                    }

pageViewUIFrame :: PageView a => a -> PageViewUIFrame         -- UI frame.
pageViewIsOutputbarShow :: PageViewUIFrame -> IO Bool
