module Manatee.PageView.StringView where

import Data.Binary
import Data.Typeable

import {-# source #-} Manatee.PageView.PageView

data StringView
data SelectionStatus = 
    SelectionStatus {ssInsertOffset    :: Int
                    ,ssBoundOffset     :: Int}
data StringViewState =
    StringViewState {stringViewStateFilename    :: String
                    ,stringViewStateSelection   :: Maybe SelectionStatus} 

instance Show StringView where
instance PageView StringView where
instance Binary StringViewState where
instance PageViewState StringViewState where
instance Typeable StringViewState where

instance Typeable SelectionStatus where

stringViewNew :: String -> IO StringView
