{-# LANGUAGE ExistentialQuantification, RankNTypes #-}
{-# LANGUAGE DeriveDataTypeable, TemplateHaskell #-}
module Reboot where

import Data.Binary

import Manatee.IORefObject
import Manatee.State.ViewNode
import Manatee.State.Page
import Manatee.State.View

data RebootState = 
    RebootState {rebootViewNodeState    :: ViewNodeListState
                ,rebootPageState        :: PageListState
                ,rebootViewState        :: ViewListState
                ,rebootTerminalCounter  :: Int}

instance Binary RebootState where

reboot :: IORefObject -> IO ()
rebootDefaultState :: RebootState
rebootGetState :: IORefObject -> IO RebootState
rebootRebuild :: RebootState -> IORefObject -> IO ()

